log4cplus::spi::AppenderFactory Class Referenceabstract

This abstract class defines the "Factory" interface to create "Appender" objects. More...

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::AppenderFactory:
[legend]
Collaboration diagram for log4cplus::spi::AppenderFactory:
[legend]

## Public Types

typedef Appender | ProductType
typedef SharedAppenderPtr | ProductPtr

## Public Member Functions

| AppenderFactory ()
virtual | ~AppenderFactory ()=0
virtual SharedAppenderPtr | createObject (const log4cplus::helpers::Properties &props)=0
| Create an "Appender" object.
Public Member Functions inherited from log4cplus::spi::BaseFactory
virtual | ~BaseFactory ()=0
virtual log4cplus::tstring const & | getTypeName () const =0
| Returns the typename of the objects this factory creates.

## Detailed Description

This abstract class defines the "Factory" interface to create "Appender" objects.

Definition at line 64 of file factory.h.

## Member Typedef Documentation

## ProductPtr

typedef SharedAppenderPtr log4cplus::spi::AppenderFactory::ProductPtr

Definition at line 67 of file factory.h.

## ProductType

typedef Appender log4cplus::spi::AppenderFactory::ProductType

Definition at line 66 of file factory.h.

## Constructor & Destructor Documentation

## AppenderFactory()

log4cplus::spi::AppenderFactory::AppenderFactory | ( |  | ) |

## ~AppenderFactory()

virtual log4cplus::spi::AppenderFactory::~AppenderFactory | ( |  | ) |

pure virtual

## Member Function Documentation

## createObject()

virtual SharedAppenderPtr log4cplus::spi::AppenderFactory::createObject | ( | const log4cplus::helpers::Properties & | props | ) |

pure virtual

Create an "Appender" object.

The documentation for this class was generated from the following file:

- factory.h